AstroAsk Docs
API referenceVedic astrologyV1VedicYogas

POST /v1/vedic/yogas

Detects classical Vedic yogas with benefic/malefic classification.

POST
/v1/vedic/yogas

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/vedic/yogas" \  -H "Content-Type: application/json" \  -d '{    "date": "1990-01-15T10:30:00",    "lat": 28.6139,    "lng": 77.209  }'
{  "success": true,  "data": {    "count": 6,    "yogas": [      {        "name": "Kemadruma Yoga",        "description": "The Moon is completely isolated without supporting planets on either side. Can indicate loneliness, mental struggles, or fluctuating fortunes.",        "isBenefic": false,        "planetsInvolved": [          1        ],        "strength": 53,        "strengthLevel": "moderate",        "conditions": [          "MOON in Leo (house 6, Friendly Sign)"        ],        "interpretation": [          "The chart features the",          "Kemadruma Yoga",          "which is formed by the placement of",          "Moon",          ". This is a challenging placement (Dosha) that brings karmic lessons and requires conscious awareness to navigate.",          "The Moon is completely isolated without supporting planets on either side. Can indicate loneliness, mental struggles, or fluctuating fortunes.",          "This yoga deeply influences the native's psychology, material circumstances, and overall life trajectory."        ]      },      {        "name": "Mangal Dosha (Kuja Dosha)",        "description": "Mars creates Mangal Dosha from: Moon (house 4 from Moon). Severity: Mild. This combination is analysed for marriage compatibility and may indicate delays or friction in partnerships.",        "isBenefic": false,        "planetsInvolved": [          2        ],        "strength": 48,        "strengthLevel": "moderate",        "conditions": [          "MARS in Scorpio (house 9, Own Sign)"        ],        "interpretation": [          "The chart features the",          "Mangal Dosha (Kuja Dosha)",          "which is formed by the placement of",          "Mars",          ". This is a challenging placement (Dosha) that brings karmic lessons and requires conscious awareness to navigate.",          "Mars creates Mangal Dosha from: Moon (house 4 from Moon). Severity: Mild. This combination is analysed for marriage compatibility and may indicate delays or friction in partnerships.",          "This yoga deeply influences the native's psychology, material circumstances, and overall life trajectory."        ]      },      {        "name": "Raj Yoga",        "description": "JUPITER (lord of house 1) and MARS (lord of house 9) are connected. Brings rise in status, career success, and authority.",        "isBenefic": true,        "planetsInvolved": [          4,          2        ],        "strength": 48,        "strengthLevel": "moderate",        "conditions": [          "JUPITER in Gemini (house 4, Enemy Sign)",          "JUPITER is retrograde",          "MARS in Scorpio (house 9, Own Sign)"        ],        "interpretation": [          "The chart features the",          "Raj Yoga",          "which is formed by the placement of",          "Jupiter",          "and",          "Mars",          ". This is a highly auspicious and powerful planetary combination that elevates the native's potential.",          "JUPITER (lord of house 1) and MARS (lord of house 9) are connected. Brings rise in status, career success, and authority.",          "This yoga deeply influences the native's psychology, material circumstances, and overall life trajectory."        ]      },      {        "name": "Raj Yoga",        "description": "MERCURY (lord of house 4) and JUPITER (lord of house 1) are connected. Brings rise in status, career success, and authority.",        "isBenefic": true,        "planetsInvolved": [          3,          4        ],        "strength": 41,        "strengthLevel": "moderate",        "conditions": [          "MERCURY in Sagittarius (house 10, Neutral Sign)",          "MERCURY is retrograde",          "JUPITER in Gemini (house 4, Enemy Sign)",          "JUPITER is retrograde"        ],        "interpretation": [          "The chart features the",          "Raj Yoga",          "which is formed by the placement of",          "Mercury",          "and",          "Jupiter",          ". This is a highly auspicious and powerful planetary combination that elevates the native's potential.",          "MERCURY (lord of house 4) and JUPITER (lord of house 1) are connected. Brings rise in status, career success, and authority.",          "This yoga deeply influences the native's psychology, material circumstances, and overall life trajectory."        ]      },      {        "name": "Dhana Yoga",        "description": "JUPITER (lord of house 1) and MARS (lord of house 2) are connected. Strong potential for financial prosperity.",        "isBenefic": true,        "planetsInvolved": [          4,          2        ],        "strength": 48,        "strengthLevel": "moderate",        "conditions": [          "JUPITER in Gemini (house 4, Enemy Sign)",          "JUPITER is retrograde",          "MARS in Scorpio (house 9, Own Sign)"        ],        "interpretation": [          "The chart features the",          "Dhana Yoga",          "which is formed by the placement of",          "Jupiter",          "and",          "Mars",          ". This is a highly auspicious and powerful planetary combination that elevates the native's potential.",          "JUPITER (lord of house 1) and MARS (lord of house 2) are connected. Strong potential for financial prosperity.",          "This yoga deeply influences the native's psychology, material circumstances, and overall life trajectory."        ]      },      {        "name": "Dhana Yoga",        "description": "JUPITER (lord of house 1) and SATURN (lord of house 11) are connected. Strong potential for financial prosperity.",        "isBenefic": true,        "planetsInvolved": [          4,          6        ],        "strength": 38,        "strengthLevel": "weak",        "conditions": [          "JUPITER in Gemini (house 4, Enemy Sign)",          "JUPITER is retrograde",          "SATURN in Sagittarius (house 10, Neutral Sign)",          "SATURN is combust (weakened by Sun's proximity)"        ],        "interpretation": [          "The chart features the",          "Dhana Yoga",          "which is formed by the placement of",          "Jupiter",          "and",          "Saturn",          ". This is a highly auspicious and powerful planetary combination that elevates the native's potential.",          "JUPITER (lord of house 1) and SATURN (lord of house 11) are connected. Strong potential for financial prosperity.",          "This yoga deeply influences the native's psychology, material circumstances, and overall life trajectory."        ]      }    ]  }}